Telkomvision

Inquiry

API to inquiry Television Telkom Vision.

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
TVTLKMV127246500000Success
TVTLKMV127246500001Inquiry - Invoice Has Been Paid
TVTLKMV127246500014Inquiry - Incorrect Destination Number
TVTLKMV127246500103Inquiry - Time Out
TVTLKMV127246501037Payment - Payment Failed
TVTLKMV127246501039Payment - Pending / transaction in process
TVTLKMV127246501105Payment - MISC Error / Biller System Error
TVTLKMV12724650XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringTelkom vision customer numberYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
{
  "commands"  : "inq-pasca",
  "username"  : "123123123",
  "code"      : "TVTLKMV",
  "hp"        : "127246500000",
  "ref_id"    : "09128374657",
  "sign"      : "b0c37e10dda176d1f66b3e9d6a7f8607"
}

Response

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail